org.apache.ignite.internal.processors.cache

## Class StartCacheInfo

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.StartCacheInfo

    public class StartCacheInfo
    extends Object

Specific cache information for start.

### Constructor Summary

Constructors
Constructor and Description
`StartCacheInfo(CacheConfiguration conf, DynamicCacheDescriptor desc, NearCacheConfiguration reqNearCfg, AffinityTopologyVersion exchTopVer, boolean disabledAfterStart)`
`StartCacheInfo(CacheConfiguration conf, DynamicCacheDescriptor desc, NearCacheConfiguration reqNearCfg, AffinityTopologyVersion exchTopVer, boolean disabledAfterStart, boolean clientCache)`
`StartCacheInfo(DynamicCacheDescriptor desc, NearCacheConfiguration reqNearCfg, AffinityTopologyVersion exchTopVer, boolean disabledAfterStart)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DynamicCacheDescriptor` `getCacheDescriptor()`
`AffinityTopologyVersion` `getExchangeTopVer()`
`@Nullable NearCacheConfiguration` `getReqNearCfg()`
`CacheConfiguration` `getStartedConfiguration()`
`boolean` `isClientCache()`
`boolean` `isDisabledAfterStart()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StartCacheInfo

    public StartCacheInfo(DynamicCacheDescriptor desc,
                          NearCacheConfiguration reqNearCfg,
                          AffinityTopologyVersion exchTopVer,
                          boolean disabledAfterStart)

Parameters:
  `desc` - Cache configuration for start.
  `reqNearCfg` - Near cache configuration for start.
  `exchTopVer` - Exchange topology version in which starting happened.
  `disabledAfterStart` - Disable started cache after start or not.

#### StartCacheInfo

    public StartCacheInfo(CacheConfiguration conf,
                          DynamicCacheDescriptor desc,
                          NearCacheConfiguration reqNearCfg,
                          AffinityTopologyVersion exchTopVer,
                          boolean disabledAfterStart)

Parameters:
  `conf` - Cache configuration for start.
  `desc` - Cache descriptor for start.
  `reqNearCfg` - Near cache configuration for start.
  `exchTopVer` - Exchange topology version in which starting happened.
  `disabledAfterStart` - Disable started cache after start or not.

#### StartCacheInfo

    public StartCacheInfo(CacheConfiguration conf,
                          DynamicCacheDescriptor desc,
                          NearCacheConfiguration reqNearCfg,
                          AffinityTopologyVersion exchTopVer,
                          boolean disabledAfterStart,
                          boolean clientCache)

Parameters:
  `conf` - Cache configuration for start.
  `desc` - Cache descriptor for start.
  `reqNearCfg` - Near cache configuration for start.
  `exchTopVer` - Exchange topology version in which starting happened.
  `disabledAfterStart` - Disable started cache after start or not.
  `clientCache` - `true` in case starting cache on client node.

### Method Detail

#### getStartedConfiguration

    public CacheConfiguration getStartedConfiguration()

Returns:
  Cache configuration for start.

#### getCacheDescriptor

    public DynamicCacheDescriptor getCacheDescriptor()

Returns:
  Cache descriptor for start.

#### getReqNearCfg

    @Nullable
    public @Nullable NearCacheConfiguration getReqNearCfg()

Returns:
  Near cache configuration for start.

#### getExchangeTopVer

    public AffinityTopologyVersion getExchangeTopVer()

Returns:
  Exchange topology version in which starting happened.

#### isDisabledAfterStart

    public boolean isDisabledAfterStart()

Returns:
  Disable started cache after start or not.

#### isClientCache

    public boolean isClientCache()

Returns:
  Start cache on client or not.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023